aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-text-reform/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-05-31 15:53:22 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-05-31 15:53:22 +0000
commit5f825427457acb6f4b13d83bebee8b1d8f86b5dd (patch)
tree0ac9218c23d6519c414722ec1e4ec473631805b3 /testing/perl-text-reform/APKBUILD
parent9f604c146093bb5480f4752ac259e3f1f17c698f (diff)
downloadaports-5f825427457acb6f4b13d83bebee8b1d8f86b5dd.tar.gz
aports-5f825427457acb6f4b13d83bebee8b1d8f86b5dd.tar.bz2
aports-5f825427457acb6f4b13d83bebee8b1d8f86b5dd.tar.xz
testing/perl-text-reform: new aport
Text::Reform perl module http://search.cpan.org/dist/Text-Reform/
Diffstat (limited to 'testing/perl-text-reform/APKBUILD')
-rw-r--r--testing/perl-text-reform/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-text-reform/APKBUILD b/testing/perl-text-reform/APKBUILD
new file mode 100644
index 0000000000..79ce4e6152
--- /dev/null
+++ b/testing/perl-text-reform/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-text-reform
+pkgver=1.20
+pkgrel=0
+pkgdesc="Text::Reform perl module"
+url="http://search.cpan.org/dist/Text-Reform/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/C/CH/CHORNY/Text-Reform-$pkgver.tar.gz"
+
+_builddir="$srcdir"/Text-Reform-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="f37f5834f3dc221eacd09bdfcfe40918 Text-Reform-1.20.tar.gz"